Bug 816840 - Enable return of errstr for peer probe/derobe
Enable return of errstr for peer probe/derobe
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3-beta
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Kaushal
Rahul Hinduja
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-27 03:17 EDT by Kaushal
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-04-27 03:17:34 EDT
Presently on  peer probe glusterd returns only an errno to cli, which cli uses to show the required message. Enhancements to peer probe behavior are being planned which require that glusterd also return an errstr.
Comment 1 Anand Avati 2012-05-18 22:44:19 EDT
CHANGE: http://review.gluster.com/3262 (glusterd, cli: Enable errstr for peer probe) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anand Avati 2012-05-18 22:45:54 EDT
CHANGE: http://review.gluster.com/3307 (glusterd,cli: Enable errstr for peer detach) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Rahul Hinduja 2012-06-04 01:58:26 EDT
Verified by looking into the "gd1_mgmt_probe_rsp" code of qa32 and qa45.

Difference is of the "char *op_errstr" in qa45. Marking as verified.

Code snippet:
============

qa32:
====

struct gd1_mgmt_probe_rsp {
        u_char uuid[16];
        char *hostname;
        int port;
        int op_ret;
        int op_errno;
};

qa45:
====

struct gd1_mgmt_probe_rsp {
        u_char uuid[16];
        char *hostname;
        int port;
        int op_ret;
        int op_errno;
        char *op_errstr;
};

Note You need to log in before you can comment on or make changes to this bug.